CMS-/Shop-Kompatibilität mit nginx

Wir haben alle gängigen CMS- und Shop-Systeme - teilweise in verschiedenen Versionen - unter nginx getestet. Die folgende Aufstellung gibt an, ob ein CMS-/Shop-System unter nginx voll funktionsfähig, eingeschränkt funktionsfähig oder gar nicht kompatibel ist. Die eigentliche Hürde ist meistens nur, die Rewrite Rules an nginx anzupassen, was aber meist sehr einfach ist. Wenn eine Anwendung nicht unter nginx lauffähig ist, liegt es meist nicht an nginx, sondern an anderen Faktoren (wie z.B., daß eine sehr alte PHP-Version vorausgesetzt wird; da nginx aber über den Fast Process Manager (FPM) mit PHP kommuniziert und dieser erst ab PHP 5.3.3 Bestandteil von PHP ist, setzen wir nur PHP-Versionen ab 5.3 ein).

Wenn in dieser Auflistung eine Version eines CMS-/Shop-Systems fehlt, aber andere Versionen dieser Anwendung unterstützt werden, ist die Wahrscheinlichkeit hoch, daß auch die nicht aufgeführte Version problemlos funktioniert. Im Zweifel sprechen Sie uns bitte an.

CMS/Shop-System Version Ergebnis Anmerkungen
CS-Cart CS-Cart-Hosting auf nginx 4.0.x voll funktionsfähig, keine Einschränkungen  
Concrete5 Concrete5-Hosting auf nginx 5.6.x voll funktionsfähig, keine Einschränkungen  
Contao Contao-Hosting auf nginx 2.x voll funktionsfähig Aufgrund der fehlenden .htaccess-Unterstützung in nginx muß Verzeichnisschutz über ISPConfig eingerichtet werden, die Funktion "Zugriffsschutz für Ordner" in der Contao-Dateiverwaltung kann nicht genutzt werden. Bei Erweiterungen mit eigener .htaccess-Datei muß die nginx-Konfiguration ggf. angepaßt werden.
3.x
4.x
Drupal Drupal-Hosting auf nginx 4.x voll funktionsfähig, keine Einschränkungen  
5.x
6.x
7.x
8.x
Joomla Joomla-Hosting auf nginx 1.5 voll funktionsfähig, keine Einschränkungen  
1.7
2.5
3.x
JTL-Shop JTL-Shop-Hosting auf nginx 3.x voll funktionsfähig, keine Einschränkungen  
4.x
Magento Magento-Hosting auf nginx 1.6 voll funktionsfähig, keine Einschränkungen  
1.7
1.8
1.9
2.x
ownCloud ownCloud-Hosting auf nginx 5.0 voll funktionsfähig, keine Einschränkungen  
OXID eShop   4.5 voll funktionsfähig, keine Einschränkungen  
4.7
PrestaShop PrestaShop-Hosting auf nginx 1.5 voll funktionsfähig, keine Einschränkungen  
1.6
1.7
ProcessWire   2.3 voll funktionsfähig, keine Einschränkungen  
Redaxo   4.4 voll funktionsfähig, keine Einschränkungen  
4.5
Shopware Shopware-Hosting auf nginx 3.5 Zend nicht kompatibel; zu alte PHP-Version (5.2) nötig Zend Optimizer braucht PHP <= 5.2; wir setzen PHP >= 5.3 ein, da der Fast Process Manager (FPM) noch kein Bestandteil von PHP 5.2 war.
3.5 Ioncube voll funktionsfähig, keine Einschränkungen  
4.x voll funktionsfähig, keine Einschränkungen  
5.x voll funktionsfähig, keine Einschränkungen  
SilverStripe SilverStripe-Hosting auf nginx 3.1 voll funktionsfähig, keine Einschränkungen  
TYPO3 TYPO3-Hosting auf nginx 4.5 voll funktionsfähig, keine Einschränkungen  
4.7
6.x
7.x
8.x
WordPress WordPress-Hosting auf nginx 2.x voll funktionsfähig, keine Einschränkungen  
3.x
4.x

Nach oben